%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn     XML-SAX-Expat
%define modv     0.39


Summary:         SAX2 Driver for Expat (XML::Parser)
Name:            perl-%{modn}
Version:         %{modv}
Release:         1%{?dist}%{?pext}
License:         GPL+ or Artistic
Group:           Development/Libraries
Source0:         http://search.cpan.org/CPAN/authors/id/B/BJ/BJOERN/%{modn}-%{modv}.tar.gz
URL:             http://search.cpan.org/dist/%{modn}/
Buildroot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:          Bjoern Hoehrmann <bjoern@hoehrmann.de>
Requires:        perl(:MODULE_COMPAT_%{perl_version})
Requires:        perl(XML::SAX)
Requires(post):  %{__perl} perl(XML::SAX)
Requires(preun): %{__perl} perl(XML::SAX)
BuildRequires:   perl(ExtUtils::MakeMaker)
BuildRequires:   perl(XML::NamespaceSupport) >= 0.03
BuildRequires:   perl(XML::Parser) >= 2.27
BuildRequires:   perl(XML::SAX) >= 0.03
BuildRequires:   perl(XML::SAX::Base) >= 1.00
BuildArch:       noarch


%description
XML::SAX::Expat is an implementation of a SAX2 driver sitting on top of
Expat (XML::Parser).


%prep
%setup -q -n %{modn}-%{modv}

# Fix permissions
%{__chmod} -x Changes


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%post
%{__perl} -MXML::SAX -e \
	'XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()' 2>/dev/null


%preun
if [ $1 = 0 ]; then	# Remove
  %{__perl} -MXML::SAX -e \
	'XML::SAX->remove_parser(q(XML::SAX::Expat))->save_parsers()'
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/XML/SAX/*.pm
%{_mandir}/man3/*.3*


%changelog
* Sun Jun 01 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.39-1
- Initial build
